## ros-lunar-controller-manager 0.13.3

=== debian/changelog ===
ros-lunar-controller-manager (0.13.3-0xenial) xenial; urgency=high

  * Introduce shared_ptr typedefs
  * Update maintainers
  * Fix catkin_lint errors and warnings
  * Remove unused imports, comment and executable flag
  * Remove realtime_tools dependency
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 25 Apr 2018 23:00:00 -0000

ros-lunar-controller-manager (0.13.2-0xenial) xenial; urgency=high

  * Fix controller_manager_interface and add unit tests.
  * migrate classloader headers
  * Contributors: Mathias Lüdtke, Yong Li

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 15 Apr 2018 23:00:00 -0000

ros-lunar-controller-manager (0.13.1-0xenial) xenial; urgency=high

  * refactored controller_manager unspawner
  * fix controller_manager list: migrated to new ControllerState with claimed_resources
  * remove debug prints from controller_manager script
  * Contributors: Mathias Lüdtke

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 25 Mar 2018 23:00:00 -0000

ros-lunar-controller-manager (0.13.0-0xenial) xenial; urgency=high

  * Several spawner-related fixes:
  * Remove shutdown_timeout & add deprecation note
  * Remove roslib import
  * Run wait_for_service on object instead of the hardcoded string version
  * Remove wait_for_service and rephrase warning after exception
  * Remove sleep(1) as it causes more problems than what it solves
  * Contributors: Bence Magyar

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-lunar-controller-manager (0.12.0-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 04 Aug 2017 23:00:00 -0000

ros-lunar-controller-manager (0.11.5-0xenial) xenial; urgency=high

  * Fix misspelling revise message
  * Contributors: Dave Coleman

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Tue, 27 Jun 2017 23:00:00 -0000

ros-lunar-controller-manager (0.11.4-0xenial) xenial; urgency=high

  * controller_manager: drop unused inclusion of tinyxml.h
  * Contributors: Dmitry Rozhkov

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Tue, 14 Feb 2017 00:00:00 -0000

ros-lunar-controller-manager (0.11.3-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 07 Dec 2016 00:00:00 -0000

ros-lunar-controller-manager (0.11.2-0xenial) xenial; urgency=high

  * to[to.size-1] to to.back()
  * Remove boost from depends declaration to fix cmake warning
  * Add Enrique and Bence to maintainer list
  * Clean up export leftovers from rosbuild
  * Convert to format2, fix dependency in cmake
  * Contributors: Bence Magyar

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 28 Nov 2016 00:00:00 -0000

ros-lunar-controller-manager (0.11.1-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 17 Aug 2016 23:00:00 -0000

ros-lunar-controller-manager (0.11.0-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 22 May 2016 23:00:00 -0000

ros-lunar-controller-manager (0.10.1-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 22 Apr 2016 23:00:00 -0000

ros-lunar-controller-manager (0.10.0-0xenial) xenial; urgency=high

  * Fix doSwitch execution point
    The doSwitch method needs to be executed in the update() method,  that is, in
    the real-time path, which is where controller switching actually takes place.
  * Introduce prepareSwitch, replacement of canSwitch
  * Deprecate RobotHW::canSwitch
  * Multi-interface controllers
    - C++ API break.
    - Make controller_manager aware of controllers that claim resources from more
    than one hardware interface.
    - Update and extend the corresponding test suite.
  * Address -Wunused-parameter warnings
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Mathias Lüdtke

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 20 Nov 2015 00:00:00 -0000

ros-lunar-controller-manager (0.9.3-0xenial) xenial; urgency=high

  * controller_manager: Add missing rostest dep
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 04 May 2015 23:00:00 -0000

ros-lunar-controller-manager (0.9.2-0xenial) xenial; urgency=high

  * Add HW interface switch feature
  * Contributors: Mathias Lüdtke

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 03 May 2015 23:00:00 -0000

ros-lunar-controller-manager (0.9.1-0xenial) xenial; urgency=high

  * Update package maintainers
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-lunar-controller-manager (0.9.0-0xenial) xenial; urgency=high

  * Spawner script: adding shutdown timeout to prevent deadlocks
  * Documentation fixes
  * Contributors: Jonathan Bohren, shadowmanos

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 31 Oct 2014 00:00:00 -0000

ros-lunar-controller-manager (0.8.2-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Tue, 24 Jun 2014 23:00:00 -0000

ros-lunar-controller-manager (0.8.1-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 23 Jun 2014 23:00:00 -0000

ros-lunar-controller-manager (0.8.0-0xenial) xenial; urgency=high

  * Remove rosbuild artifacts. Fix #154 <https://github.com/ros-controls/ros_control/issues/154>.
  * Create README.md
  * Contributors: Adolfo Rodriguez Tsouroukdissian


