=== debian/control ===
Source: ros-lunar-controller-manager
Section: misc
Priority: extra
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-controller-interface, ros-lunar-controller-manager-msgs, ros-lunar-hardware-interface, ros-lunar-pluginlib, ros-lunar-rostest
Homepage: https://github.com/ros-controls/ros_control/wiki
Standards-Version: 3.9.2

Package: ros-lunar-controller-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-controller-interface, ros-lunar-controller-manager-msgs, ros-lunar-hardware-interface, ros-lunar-pluginlib
Description: The controller manager.
